DUNE-FORMAT-DUNE-FILE(1)

NAME

dune-format-dune-file - Format dune files.

SYNOPSIS

dune format-dune-file [--dune-version=VERSION] [OPTION]… [FILE]

DESCRIPTION

dune format-dune-file reads a dune file and outputs a formatted version. This is a low-level command, meant to implement editor support for example. To reformat a dune project, see the "Automatic formatting" section in the manual.

ARGUMENTS

FILE
    Path to the dune file to parse.

OPTIONS

--dune-version=VERSION (absent=3.20)
    Which version of Dune language to use.

COMMON OPTIONS

--help[=FMT] (default=auto)
    Show this help in format FMT. The value FMT must be one of auto, pager, groff or plain. With auto, the format is pager or plain whenever the TERM env var is dumb or undefined.

--version
    Show version information.

EXIT STATUS

dune format-dune-file exits with:

0   on success.

1   if an error happened.

130 if it was interrupted by a signal.

SEE ALSO

dune(1)